import 'package:get/get.dart';
import 'package:get/get_core/src/get_main.dart';
import 'package:injectable/injectable.dart';
import 'package:location/base/base_controller.dart';
import 'package:location/data/consts/web_url.dart';
import 'package:location/module/browser/browser_view.dart';

@injectable
class AboutController extends BaseController {
  void back() {
    Get.back();
  }

  void onPrivacyPolicyClick() {
    BrowserPage.start(WebUrl.privacyPolicy);
  }

  void onTermOfServiceClick() {
    BrowserPage.start(WebUrl.userAgreement);
  }
}
